Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.web.taglibs.cache
Class CacheContextListener

    java.lang.Object
      com.sun.appserv.web.taglibs.cache.CacheContextListener

All Implemented Interfaces:
  java.util.EventListener, ServletContextListener

public class CacheContextListener
extends java.lang.Object
implements ServletContextListener

CacheContextListener implements the ServletContextListener interface in order to be notified when the context is created and destroyed. It is used to create the cache and add it as a context attribute.

Constructor Summary
`CacheContextListener()` Public constructor taking no arguments according to servlet spec

Method Summary
`void` | `contextDestroyed(ServletContextEvent sce)` This is called when the context is shutdown.
`void` | `contextInitialized(ServletContextEvent sce)` This is called when the context is created.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheContextListener

    public CacheContextListener()

  Public constructor taking no arguments according to servlet spec

Method Detail

### contextInitialized

    public void contextInitialized(ServletContextEvent sce)

  This is called when the context is created.

  Specified by:
    `contextInitialized` in interface `ServletContextListener`

### contextDestroyed

    public void contextDestroyed(ServletContextEvent sce)

  This is called when the context is shutdown.

  Specified by:
    `contextDestroyed` in interface `ServletContextListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.